## pakcs 1.14.2

=== Makefile ===
#****************************************************************************
# PAKCS: The Portland Aachen Kiel Curry System
# ============================================
#
# A Prolog-based implementation of the functional logic language Curry
# developed by
#
# Sergio Antoy, Bernd Brassel, Martin Engelke, Michael Hanus, Klaus Hoeppner,
# Johannes Koj, Philipp Niederau, Ramin Sadre, Frank Steiner
#
# (contact: pakcs@curry-language.org)
#****************************************************************************

# Some parameters for this installation
# --------------------------------------
# (these parameters might be passed to `make`)

# If the parameter CURRYFRONTEND is set to an executable,
# this executable will be used as the front end for PAKCS.
# Otherwise, the front end will be compiled from the sources
# in subdir "frontend" (if it exists).
export CURRYFRONTEND =

# Is this an installation for a distribution (Debian) package (yes|no)?
# In case of "yes":
# - nothing will be stored during the installation in the home directory
# - the documentation will not be built (since this takes a lot of time)
# - the paramters CURRYLIBSDIR and CURRYTOOLSDIR must be defined and
#   refer to the directories containing the Curry system libraries and tools
export DISTPKGINSTALL = no

# In order to build the system in a place different from the place of
# the final installation (e.g., when building it as a (Debian) package),
# the variable PAKCSINSTALLDIR should be set to the location where it
# will be finally installed after the build (e.g., /usr/lib/pakcs).
# It is required that during the build, this directory does not exist,
# otherwise the build fails. If this variable is set and the
# installed system will be moved to this location after the build, it will be
# used as the root directory for all generated components of the system.
export PAKCSINSTALLDIR =

########################################################################
# The major version numbers:
MAJORVERSION=1
# The minor version number:
MINORVERSION=14
# The revision version number:
REVISIONVERSION=2
# The build version number:
BUILDVERSION=0
# Complete version:
VERSION=$(MAJORVERSION).$(MINORVERSION).$(REVISIONVERSION)
# The version date:
ifeq ($(DISTPKGINSTALL),yes)
COMPILERDATE := $(shell date "+%Y-%m-%d")
else
COMPILERDATE := $(shell git log -1 --format="%ci" | cut -c-10)
endif

# The name of the Curry system, needed for the installation of
# the system libraries and tools:
export CURRYSYSTEM=pakcs

# Paths used in this installation
# -------------------------------

# Directories of the sources of the standard libraries and tools
ifeq ($(DISTPKGINSTALL),yes)
export CURRYLIBSDIR  = $(error "CURRYLIBSDIR is undefined!")
export CURRYTOOLSDIR = $(error "CURRYTOOLSDIR is undefined!")
else
export CURRYLIBSDIR  = $(ROOT)/lib-trunk
export CURRYTOOLSDIR = # not used
endif

# the root directory of the installation
export ROOT=$(CURDIR)
# binary directory and executables
export BINDIR=$(ROOT)/bin
# Directory where the front end is located
export FRONTENDDIR   = $(ROOT)/frontend
# Directory where the actual libraries are located
export LIBDIR        = $(ROOT)/lib
# Directory where the documentation files are located
export DOCDIR        = $(ROOT)/docs
# The version information file for Curry2Prolog:
C2PVERSION=$(ROOT)/curry2prolog/pakcsversion.pl
# The version information file for the manual:
MANUALVERSION=$(DOCDIR)/src/version.tex

# Various executables used in the installation
# --------------------------------------------

# The REPL binary, used for building various tools
export REPL         = $(BINDIR)/$(CURRYSYSTEM)
# The default options for the REPL
export REPL_OPTS    = --noreadline :set -time
# The front end binary
export CYMAKE       = $(BINDIR)/$(CURRYSYSTEM)-frontend
# The cleancurry binary
export CLEANCURRY   = $(BINDIR)/cleancurry

# Logfile for make:
MAKELOG=make.log

########################################################################
# The targets
########################################################################

#
# Install all components of PAKCS
#
.PHONY: all
all:
ifeq ($(DISTPKGINSTALL),yes)
	$(MAKE) config
	$(MAKE) build
	# if we build a package, we compile all libraries at the end
	# so that their intermediate files are up to date:
	$(REPL) $(REPL_OPTS) :load AllLibraries :eval "3*13+3" :quit
else
	@rm -f $(MAKELOG)
	@echo "Make started at `date`" > $(MAKELOG)
	$(MAKE) config 2>&1 | tee -a $(MAKELOG)
	$(MAKE) build  2>&1 | tee -a $(MAKELOG)
	@echo "Make finished at `date`" >> $(MAKELOG)
	@echo "Make process logged in file $(MAKELOG)"
endif

#
# Build all components of PAKCS
#
.PHONY: build
build: checkinstalldir installscripts copylibs copytools
	@echo "PAKCS installation configuration (file pakcsinitrc):"
	@cat pakcsinitrc
	# install front end:
	$(MAKE) frontend
	# pre-compile all libraries:
	@cd lib && $(MAKE) fcy
	# build the Curry2Prolog compiler as a saved system:
	$(MAKE) $(C2PVERSION)
	cd curry2prolog && $(MAKE)
	# compile all libraries:
	@cd lib && $(MAKE) acy
	# compile optimization tools:
	@cd currytools/optimize && $(MAKE)
	# prepare for separate compilation: compile all libraries to Prolog
	@if [ -r bin/pakcs ] ; then cd lib && $(MAKE) pl ; fi
	$(MAKE) tools
	$(MAKE) docs
	chmod -R go+rX .

# Check whether the value of PAKCSINSTALLDIR, if defined, is a non-existing
# directory
.PHONY: checkinstalldir
checkinstalldir:
	@if [ -n "$(PAKCSINSTALLDIR)" -a -d "$(PAKCSINSTALLDIR)" ] ; then \
	  echo "ERROR: Variable PAKCSINSTALLDIR points to an existing directory!" && exit 1 ; \
	fi

# Clean old files that might be in conflict with newer versions of PAKCS:
.PHONY: cleanoldinfos
cleanoldinfos:
	# delete old RequiredValue analysis files since format has changed:
	@if [ -d $(HOME)/.curry/Analysis ] ; then \
	  find $(HOME)/.curry/Analysis -name \*.RequiredValue.p\* -exec rm -f \{\} \; ; fi

# Configure installation w.r.t. variables in pakcsinitrc:
.PHONY: config
config: installscripts
	@scripts/configure-pakcs

# install the scripts of PAKCS in the bin directory:
.PHONY: installscripts
installscripts:
	cd scripts && $(MAKE) all

# remove the scripts of PAKCS in the bin directory:
.PHONY: cleanscripts
cleanscripts:
	cd scripts && $(MAKE) clean

# install the library sources from the trunk directory:
.PHONY: copylibs
copylibs:
	@if [ -d $(CURRYLIBSDIR) ] ; then cd $(CURRYLIBSDIR) && $(MAKE) -f Makefile.$(CURRYSYSTEM).install ; fi

# if the directory `currytools` is not present, copy it from the sources:
# (only necessary for the installation of a (Debian) packages, otherwise
# `currytools` is a submodule of the repository)
.PHONY: copytools
copytools:
ifeq ($(DISTPKGINSTALL),yes)
	@if [ ! -f currytools/Makefile ] ; then $(MAKE) forcecopytools ; fi
endif

.PHONY: forcecopytools
forcecopytools:
	mkdir -p currytools
	# Copying currytools from $(CURRYTOOLSDIR)
	cp -pr $(CURRYTOOLSDIR)/* currytools

# install front end (from environment variable or sources):
.PHONY: frontend
frontend:
ifeq ($(shell test -x "$(CURRYFRONTEND)" ; echo $$?),0)
	rm -f $(CYMAKE)
	ln -s $(CURRYFRONTEND) $(CYMAKE)
else
	@if [ -d $(FRONTENDDIR) ] ; then $(MAKE) compilefrontend ; fi
endif

.PHONY: compilefrontend
compilefrontend:
	rm -f $(CYMAKE)
	cd $(FRONTENDDIR) && $(MAKE)
	cd $(BINDIR) && ln -s ../frontend/bin/curry-frontend $(notdir $(CYMAKE))

# compile the tools:
.PHONY: tools
tools:
	@if [ -r bin/pakcs ] ; then cd currytools && $(MAKE) ; fi
	@if [ -r bin/pakcs ] ; then cd tools      && $(MAKE) ; fi

# compile analysis tool only:
.PHONY: CASS
CASS:
	@if [ -r bin/pakcs ] ; then cd currytools && $(MAKE) CASS ; fi

# compile documentation if sources are available and it is not a
# separate package distribution:
.PHONY: docs
docs:
	@if [ -d $(DOCDIR)/src -a $(DISTPKGINSTALL) = "no" ] ; \
	 then $(MAKE) $(MANUALVERSION) && cd $(DOCDIR)/src && $(MAKE) install ; fi

# Create file with version information for Curry2Prolog:
$(C2PVERSION): Makefile
	echo ':- module(pakcsversion,[compilerVersion/1, compilerMajorVersion/1, compilerMinorVersion/1, compilerRevisionVersion/1, buildVersion/1, buildDate/1, buildDir/1, pkgInstallDir/1]).' > $@
	echo "compilerVersion('PAKCS$(MAJORVERSION).$(MINORVERSION)')." >> $@
	echo 'compilerMajorVersion($(MAJORVERSION)).' >> $@
	echo 'compilerMinorVersion($(MINORVERSION)).' >> $@
	echo 'compilerRevisionVersion($(REVISIONVERSION)).' >> $@
	echo 'buildVersion($(BUILDVERSION)).' >> $@
	echo "buildDate('$(COMPILERDATE)')." >> $@
	echo "buildDir('$(ROOT)')." >> $@
	echo "pkgInstallDir('$(PAKCSINSTALLDIR)')." >> $@

# Create file with version information for the manual:
$(MANUALVERSION): Makefile
	echo '\\newcommand{\\pakcsversion}{$(VERSION)}' > $@
	echo '\\newcommand{\\pakcsversiondate}{Version of $(COMPILERDATE)}' >> $@

#
# Create documentation for system libraries:
#
.PHONY: libdoc
libdoc:
	@if [ ! -r bin/pakcs-doc ] ; then \
	  echo "Cannot create library documentation: currydoc not available!" ; exit 1 ; fi
	@rm -f $(MAKELOG)
	@echo "Make libdoc started at `date`" > $(MAKELOG)
	@cd lib && $(MAKE) doc 2>&1 | tee -a ../$(MAKELOG)
	@echo "Make libdoc finished at `date`" >> $(MAKELOG)
	@echo "Make libdoc process logged in file $(MAKELOG)"

########################################################################
# Testing: run test suites to check the installation
#
ifeq ($(DISTPKGINSTALL),yes)
# for a package installation, we run the tests in verbose mode:
export RUNTESTPARAMS=-v
else
export RUNTESTPARAMS=
endif

# run the test suites to check the installation
.PHONY: runtest
runtest: testsuite/doTest
	#cd testsuite && ./doTest --nogui
	cd testsuite2 && ./test.sh $(RUNTESTPARAMS)
	cd lib && ./test.sh $(RUNTESTPARAMS)
	cd currytools && $(MAKE) runtest
	cd examples/CHR && ./test.sh $(RUNTESTPARAMS)
	# remove .curry (might contain analysis results if home is missing)
	rm -rf .curry

# run the test suites in verbose mode so that all output is shown:
.PHONY: runtestverbose
runtestverbose:
	$(MAKE) runtest RUNTESTPARAMS=-v

########################################################################
# Cleaning:
#

# Build the cleancurry script:
$(CLEANCURRY):
	cd scripts && $(MAKE) $@

# Clean the system files, i.e., remove the installed PAKCS components
# except for the front end
.PHONY: clean
clean: $(CLEANCURRY)
	rm -f $(MAKELOG)
	$(MAKE) cleantools
	if [ -d lib ] ; then cd lib && $(MAKE) clean ; fi
	cd examples && $(CLEANCURRY) -r
	if [ -d $(DOCDIR)/src ] ; then cd $(DOCDIR)/src && $(MAKE) clean ; fi
	cd bin && rm -f sicstusprolog swiprolog
	cd scripts && $(MAKE) clean
	if [ -d $(FRONTENDDIR) ] ; then cd $(FRONTENDDIR) && $(MAKE) clean ; fi

# Clean the generated PAKCS tools
.PHONY: cleantools
cleantools: $(CLEANCURRY)
	cd curry2prolog && $(MAKE) clean
	cd currytools && $(MAKE) uninstall
	cd tools && $(MAKE) clean
	cd bin && rm -f pakcs

# Clean everything (including the front end)
.PHONY: cleanall
cleanall: clean
	rm -rf $(LIBDIR)
	if [ -d $(FRONTENDDIR) ]; then cd $(FRONTENDDIR) && $(MAKE) cleanall; fi
	if [ -d $(FRONTENDDIR) ]; \
	  then rm -rf $(BINDIR) ; \
	  else rm -f $(CYMAKE) ; \
	fi
	rm -f pakcsinitrc pakcsinitrc.bak


################################DISTRIBUTION##################################
# Create distribution versions of the complete system as tar files
# pakcs*.tar.gz:

# directory name of distribution
FULLNAME    = pakcs-$(VERSION)
# temporary directory to create distribution version
PAKCSDIST   = $(FULLNAME)
# architecture name
ARCH        = $(shell dpkg-architecture -qDEB_BUILD_ARCH)-$(shell uname -s)
# Files to be excluded for source distribution
SRC_EXCLUDE = --exclude=bin
# Files to be excluded for binary distribution
BIN_EXCLUDE = --exclude=frontend
# date of distribution
DIST_DATE   = $(shell date +%Y%m%d)

.PHONY: dist
dist:
	rm -rf pakcs*.tar.gz $(PAKCSDIST) # remove any old distribution
	git clone . $(PAKCSDIST)          # create copy of git version
	cd $(PAKCSDIST) && git submodule init && git submodule update
	cd $(PAKCSDIST) && $(MAKE) copylibs

=== curry2prolog/Makefile ===
########################################################################
# Makefile for the Curry->Prolog compiler system of PAKCS
########################################################################

# bin directory to store executables of PAKCS:
ifndef BINDIR
BINDIR = $(dir $(CURDIR))/bin
endif

# The SICStus Prolog interpreter:
SICSTUS=$(BINDIR)/sicstusprolog

# The SWI-Prolog interpreter:
SWI=$(BINDIR)/swiprolog

# Standard options for SWI-Prolog
SWIOPTIONS=--traditional -q -L0 -G0 -T0 -O

# library directory of PAKCS:
ifndef LIBDIR
LIBDIR = $(dir $(CURDIR))/lib
endif

# names of run-time libraries:
PRIMLIBSRC = `cd lib_src && echo *.pl`

.PHONY: install
install:
	$(MAKE) uninstall
	@if [ -x "$(SICSTUS)" ] ; then $(MAKE) sicstus ; elif [ -x "$(SWI)" ] ; then $(MAKE) swi ; else echo "No Prolog defined to generate Curry->Prolog compiler" ; exit 1 ; fi
	../scripts/makesavedstate c2p.state
	rm -f pakcs
	mv c2p.state pakcs
	cd $(BINDIR) && ln -s pakcs curry

.PHONY: uninstall
uninstall:
	rm -f $(BINDIR)/curry

# make everything if we have a SICStus-Prolog system:
.PHONY: sicstus
sicstus:
	$(MAKE) libsicstus
	echo "[sicstusbasics], generatePrologBasics." | "$(SICSTUS)"
	$(MAKE) c2p.state

# make everything if we have a SWI-Prolog system:
.PHONY: swi
swi:
	$(MAKE) libswi
	rm -f prologbasics.pl ; cp swibasics.pl prologbasics.pl
	$(MAKE) swi.state
	mv -f swi.state c2p.state

#
# generate a saved state of the Curry->Prolog Compiler System w.r.t. SICStus-Prolog
#
c2p.state: prologbasics.pl basics.pl version.pl loader.pl evaluator.pl c2p.pl \
	      compiler.pl external.pl readFlcFromFcy.pl \
	      lib_src/prim_readshowterm.pl \
	      readXml.pl $(LIBDIR)/.curry/Prelude.fcy
	echo "compile(c2p),c2p('$(LIBDIR)/Prelude'),compile('$(LIBDIR)/.curry/pakcs/Prelude'),loadAndCompile('$(LIBDIR)/.curry/pakcs/Prelude.pl',[],create),saveprog_entry('c2p.state',user:pakcsMain)." \
           | "$(SICSTUS)"

#
# generate a saved state of the Curry->Prolog Compiler System w.r.t. SWI-Prolog
#
swi.state: prologbasics.pl basics.pl version.pl loader.pl evaluator.pl c2p.pl \
	      compiler.pl external.pl readFlcFromFcy.pl \
	      lib_src/prim_readshowterm.pl \
	      readXml.pl $(LIBDIR)/.curry/Prelude.fcy
	echo "compile(c2p). c2p('$(LIBDIR)/Prelude'), compile('$(LIBDIR)/.curry/pakcs/Prelude'),loader:loadAndCompile('$(LIBDIR)/.curry/pakcs/Prelude.pl',[],create). saveprog_entry('swi.state',user:pakcsMain)." | "$(SWI)" $(SWIOPTIONS)

$(LIBDIR)/.curry/Prelude.fcy: $(LIBDIR)/Prelude.curry
	cd $(LIBDIR) && $(MAKE) .curry/Prelude.fcy

#
# generate correct versions of run-time libraries for SWI-Prolog
#
.PHONY: libswi
libswi:
	@mkdir -p libswi
	@for i in $(PRIMLIBSRC) ; do $(MAKE) libswi/$$i ; done

libswi/%.pl: lib_src/%.pl
	echo "[block2freeze]. transFile('$*.pl')." | "$(SWI)" $(SWIOPTIONS)

#
# generate correct versions of run-time libraries for SICStus-Prolog
#
.PHONY: libsicstus
libsicstus:
	@mkdir -p libsicstus
	@for i in $(PRIMLIBSRC) ; do $(MAKE) libsicstus/$$i ; done

libsicstus/%.pl: lib_src/%.pl
	echo "[sicstus_processing]. transFile('$*.pl')." | "$(SICSTUS)"

# clean up everything
.PHONY: clean
clean: uninstall
	rm -f c2p.state pakcs $(LIBDIR)/.curry/pakcs/Prelude.pl prologbasics.pl
	rm -f pakcsversion.pl
	rm -rf libswi/ libsicstus/

=== tools/Makefile ===
# generate various tools for handling Curry programs:

# Required:
# - installed Curry system

# directory with deprecated libraries:
OLDLIBDIR=$(ROOT)/tools/lib_deprecated

.PHONY: all
all:    curry2xml
	@cd optimize  ; $(MAKE)
	@cd Peval     ; $(MAKE)
	@cd coosy     ; $(MAKE)
	@cd ui        ; $(MAKE)


# generate saved state for curry2xml program:
curry2xml: curry2xml.curry $(OLDLIBDIR)/FlatXML.curry \
	         $(OLDLIBDIR)/Flat.curry \
	         $(OLDLIBDIR)/Flat2Fcy.curry $(LIBDIR)/XML.curry
	$(REPL) $(REPL_OPTS) :set path $(OLDLIBDIR) :load curry2xml :save :quit

.PHONY: clean
clean:
	$(CLEANCURRY)
	rm -f curry2xml
	cd Peval          && $(MAKE) clean
	cd coosy          && $(MAKE) clean
	cd optimize       && $(MAKE) clean
	cd ui             && $(MAKE) clean
	cd lib_deprecated && $(CLEANCURRY) -r

=== docs/src/Makefile ===
# To format the user manual

PAKCS=../../bin/pakcs

.PHONY: pdf
pdf : manual.pdf

manual.pdf: $(wildcard *.tex lib/*.tex ../../currytools/*/Docs/*.tex) \
	    markdown_syntax.tex
	pdflatex manual
	bibtex manual
	pdflatex manual
	makeindex manual.idx
	pdflatex manual

../Manual.pdf: manual.pdf
	thumbpdf manual
	pdflatex manual
	rm -f $@
	cp $< $@

markdown_syntax.tex: markdown_syntax.txt
	$(PAKCS) :l Markdown :eval 'readFile "$<" >>= writeFile "$@" . markdownText2LaTeX' :quit

../markdown_syntax.html: markdown_syntax.txt
	$(PAKCS) :l Markdown :eval 'readFile "$<" >>= writeFile "$@" . markdownText2CompleteHTML "Markdown Syntax"' :quit

# format installation description as HTML page
../INSTALL.html: ../../INSTALL.txt
	$(PAKCS) :l Markdown :eval 'readFile "$<" >>= writeFile "$@" . markdownText2CompleteHTML "PAKCS Installation Instructions"' :quit

# format repository installation description as HTML page
../GITINSTALL.html: ../../GITINSTALL.txt
	$(PAKCS) :l Markdown :eval 'readFile "$<" >>= writeFile "$@" . markdownText2CompleteHTML "PAKCS Repository"' :quit

# format release notes as HTML page
../RELNOTES.html: ../../RELNOTES.txt
	$(PAKCS) :l Markdown :eval 'readFile "$<" >>= writeFile "$@" . markdownText2CompleteHTML "PAKCS Release Notes"' :quit

# format Curry style guide as HTML page
../CurryStyleGuide.html: ../../currytools/casc/Docs/curry-style-guide.md
	cd ../../currytools/casc/Docs && $(MAKE)
	@if [ -f "../../currytools/casc/Docs/curry-style-guide.html" ] ; then cp ../../currytools/casc/Docs/curry-style-guide.html $@ ; fi

# generate documentation for all libraries
.PHONY: libdoc
libdoc:
	@cd ../../lib && $(MAKE) texdoc

.PHONY: install
install:
	$(MAKE) ../markdown_syntax.html
	$(MAKE) ../INSTALL.html
	$(MAKE) ../GITINSTALL.html
	$(MAKE) ../RELNOTES.html
	$(MAKE) ../CurryStyleGuide.html
	$(MAKE) libdoc
	$(MAKE) ../Manual.pdf

.PHONY: clean
clean:
	rm -f markdown_syntax.tex ../markdown_syntax.html \
	           ../INSTALL.html ../GITINSTALL.html ../RELNOTES.html
	rm -f *.aux *.bbl *.blg *.idx *.ilg *.ind *.log *.out *.pdf *.toc *.tpt
	rm -rf lib
	rm -f ../Manual.pdf ../Manual.ps.gz thumb* version.tex

=== tools/Peval/Makefile ===
# generate executable of the partial evaluator:

# Required:
# - installed Curry system (REPL)

.PHONY: all
all:    peval

# generate executable for partial evaluator program:
peval: peval.curry Flat.curry Flat2Fcy.curry
	$(REPL) $(REPL_OPTS) :load peval :save :quit

clean: 
	rm -f peval
	$(CLEANCURRY)
	rm -f *_pe.flc *_pe.pl	# delete generated peval files

=== tools/optimize/Makefile ===
# Generate a saved state with the FlatCurry optimizer:

# Required:
# - installed PAKCS

.PHONY: all
all:    CompactFlat NonStrictOpt

# generate saved state for the FlatCurry optimizer:
CompactFlat: CompactFlat.curry
	$(REPL) $(REPL_OPTS) :load CompactFlat :save :quit

# generate saved state for the FlatCurry optimizer:
NonStrictOpt: NonStrictOpt.curry
	$(REPL) $(REPL_OPTS) :set path $(ROOT)/currytools/browser/analysis \
	                     :load NonStrictOpt :save :quit

clean: 
	rm -f CompactFlat NonStrictOpt
	$(CLEANCURRY)
	(cd ../../bin ; rm -f nonstrictopt)

=== tools/ui/Makefile ===
# precompile all modules of the library
# to avoid recompilation when they are used:

CURRYEXEC=`pwd`/../../bin/curry

UILIBS = GUI.curry GUI2HTML.curry HTML.curry \
	 TypedUI2GUI.curry TypedUI2HTML.curry \
	 UI.curry UI2GUI.curry UI2HTML.curry \
	 Json.curry Parse.curry SpicyWeb.curry

LIB_PL    = `echo $(UILIBS:%.curry=.curry/pakcs/%.pl)`

.PHONY: all
all: pl

.NOTPARALLEL: pl
.PHONY: pl
pl:
	@$(MAKE) $(LIB_PL)

# generate all Prolog translations:
.curry/pakcs/%.pl: %.curry
	rm -f $@ && "$(CURRYEXEC)" --quiet :compile $* :quit

# clean all generated files
.PHONY: clean
clean:
	../../bin/cleancurry -r

=== debian/changelog ===
pakcs (1.14.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all patches recently cherry-picked from upstream. They are included
      in this upstream release.
  * debian/control:
    + Update versioned B-Ds for curry-libs-source (>= 1.0.3-1~) and
      curry-tools-source (>= 1.0.3+dfsg1-1~).
  * debian/pakcs.install:
    + The cpns/ and www/ code has been moved to curry-tools.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Feb 2017 12:44:15 +0100

=== debian/control ===
Source: pakcs
Section: devel
Priority: extra
Maintainer: Debian Curry Maintainers <pkg-curry-maintainers@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Michael Hanus <mh@informatik.uni-kiel.de>,
Build-Depends: cdbs,
 debhelper (>= 9),
 quilt,
 curry-frontend (>= 0.4.2-2~),
 curry-libs-source (>= 1.0.3-1~),
 curry-tools-source (>= 1.0.3+dfsg1-1~),
 swi-prolog-nox (>= 7.2.3),
 sqlite3,
 lockfile-progs,
Standards-Version: 3.9.8
Homepage: https://www-ps.informatik.uni-kiel.de/~pakcs/
Vcs-Browser: https://anonscm.debian.org/git/pkg-curry/pakcs.git
Vcs-Git: https://anonscm.debian.org/git/pkg-curry/pakcs.git

Package: pakcs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 curry-frontend (>= 0.4.2-2~),
 libjs-prototype (>= 1.6),
 swi-prolog-nox (>= 7.2.3),
 lockfile-progs,
Recommends:
 sqlite3,
Suggests:
 tk
Description: Portland Aachen Kiel Curry Compiler
 PAKCS is an implementation of the multi-paradigm declarative language
 Curry jointly developed by the Portland State University, the Aachen
 University of Technology, and the University of Kiel. Although this is
 not a highly optimized implementation but based on a high-level
 compilation of Curry programs into Prolog programs, it is not a toy
 implementation: PAKCS has been used for a variety of applications so far
 (e.g., graphical programming environments, an object-oriented front-end
 for Curry, partial evaluators, database applications, HTML programming
 with dynamic web pages, prototyping embedded systems). The size of all
 current Curry applications implemented with PAKCS amounts to more than
 150,000 lines (or 8 mbytes) of program code.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg[0-9]*//,filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S+)/pakcs-$1\.tar\.gz/g \
  https://git.ps.informatik.uni-kiel.de/curry/pakcs/tags?sort=updated_desc .*archive\.tar\.gz\?ref=v?(\d\S+)

## pakcs 1.14.4

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 # The minor version number:
 MINORVERSION=14
 # The revision version number:
-REVISIONVERSION=2
+REVISIONVERSION=4
 # The build version number:
 BUILDVERSION=0
 # Complete version:

=== debian/changelog ===
pakcs (1.14.4-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001-Regression-test-for-CHR-library-removed-since-it-is-.patch
      from upstream. (Closes: #880797).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Nov 2017 14:07:07 +0100

pakcs (1.14.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Nov 2017 10:31:46 +0100

pakcs (1.14.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #871194).
  * debian/watch:
    + Update to new tarball naming scheme in recent GitLab versions.
  * debian/control:
    + Bump Standards-Version: to 4.1.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 15 Sep 2017 14:42:27 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  swi-prolog-nox (>= 7.2.3),
  sqlite3,
  lockfile-progs,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://www-ps.informatik.uni-kiel.de/~pakcs/
 Vcs-Browser: https://anonscm.debian.org/git/pkg-curry/pakcs.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-curry/pakcs.git
